com.oracle.truffle.api

## Interface RootCallTarget

All Superinterfaces:
  CallTarget

All Known Implementing Classes:
  DefaultCallTarget

    public interface RootCallTarget
    extends CallTarget

Represents the target of a call to a `RootNode`, i.e., to another tree of nodes. Instances of this class can be created using `TruffleRuntime.createCallTarget(RootNode)`.

### Method Summary

Methods
`RootNode` `getRootNode()`

### Methods inherited from interface com.oracle.truffle.api.CallTarget

`call`

### Method Detail

#### getRootNode

    RootNode getRootNode()